Probe Basic 2.9 or 2.10 install

More
13 Dec 2022 01:17 #259284 by COlger81
Can someone walk me through an install of the most current Probe Basic GUI? I have made multiple failing attempts. Is this GUI abandoned?

Chris

Please Log in or Create an account to join the conversation.

More
13 Dec 2022 01:31 #259285 by rodw
Install Bullseye XFCE
and run this script. Its been updated this week to account for the branching off of V 2.9 from master branch (2.10)
github.com/joco-nz/lcnc-bullseye-installer
The following user(s) said Thank You: COlger81, FCS Industrial

Please Log in or Create an account to join the conversation.

More
13 Dec 2022 14:04 - 13 Dec 2022 17:04 #259313 by COlger81
Thank you. Successfully running the sim on debain 11 and LCNC 2.10

For anyone else using this method the script has an error and wouldn't install
Linuxcnc-uspace-dev. Fix below;

(After successful install completion, run the commands below to add "Linuxcnc-uspace-dev")
Run In terminal:
cd ~/dev/linuxcnc/
sudo -A dpkg -i linuxcnc-uspace-dev_2.10.0~pre0_amd64.deb
Last edit: 13 Dec 2022 17:04 by COlger81. Reason: Better explanation

Please Log in or Create an account to join the conversation.

More
05 Aug 2023 19:17 - 05 Aug 2023 19:34 #277041 by IronManDylan
I tried following this and everything completed successfully (except for that last line of code you provided COlger81, it threw up an error telling me to SUDO_ASKPASS), but I don't see Probe Basic GUI anywhere.  Is the Probe GUI supposed to be available under "my configurations" when launching LCNC?

edit: I have bookworm, not bullseye 
Last edit: 05 Aug 2023 19:34 by IronManDylan.

Please Log in or Create an account to join the conversation.

Time to create page: 0.082 seconds
Powered by Kunena Forum